Bug 8922 - smbclient's tarmode insists on listing excluded directories
smbclient's tarmode insists on listing excluded directories
Status: REOPENED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.5
All All
: P5 normal
: ---
Assigned To: Jeremy Allison
Samba QA Contact
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends on:
Blocks: 8910
  Show dependency treegraph
 
Reported: 2012-05-09 11:13 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2014-06-24 21:06 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 3.6.next (1.03 KB, patch)
2012-05-11 13:11 UTC, Jeremy Allison
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2012-05-09 11:13:03 UTC
This bug was raised in Debian, where one of our users has trouble with BackupPC since his system was upgraded and samba went from  3.5.6 to 3.6.1 (and the problem persists with 3.6.{3-5}).

He tries to backup Windows clients with the BackupPC utility that itself uses smblclient's tarmode.

Since the upgrade, backups fail because the "System Volume Information" directory that exists on Windows clients cannot be listed. This, even if the directory is explicitely excluded.

See his commenbts:

> The bug can be reproduced with smbclient 3.6.4-1, and I think with
> 3.6.3. I am not very familiar how exactly backuppc proceeds, but this is
> the command it uses for backup:
> 
> $smbClientPath \\$host\$shareName $I_option -U $userName -E -d 1 -c
> tarmode\ full -Tc$X_option - $fileList
> 
> This is the description of all variables
> 
>    $smbClientPath   path of smbclient
> <http://bnsa864/backuppc/index.cgi?action=view&type=docs#_conf_smbclientpath_>
>    $host            host to backup/restore
>    $shareName       share name
>    $userName        user name
>    $fileList        list of files to backup (based on exclude/include)
>    $I_option        optional -I option to smbclient
>    $X_option        exclude option (if $fileList is an exclude list)
> 
> 
> I have tested the command manually, and it stops when trying to list
> System Volume Information on the remote share with
> the following errors:
> 
>     directory \System Volume Information\
>     NT_STATUS_ACCESS_DENIED listing \System Volume Information\*
>     NT_STATUS_ACCESS_DENIED listing \\*   (it stops here)
> 
> And this is the output with smbclient 3.5.6
> 
>     directory \System Volume Information\
>     NT_STATUS_ACCESS_DENIED listing \System Volume Information\*
> 
> After that the backup continues normally.

From my understanding, what's happening here is that smbclient tardmode insists on listing the content of a directory even if that directory is explicitely excluded, which was not happening with 3.5 versions
Comment 1 Jeremy Allison 2012-05-11 13:11:10 UTC
Created attachment 7555 [details]
git-am fix for 3.6.next

Fix that went into master.
Comment 2 Michael Adam 2012-05-31 20:36:21 UTC
Comment on attachment 7555 [details]
git-am fix for 3.6.next

OK
Comment 3 Michael Adam 2012-05-31 20:37:00 UTC
To Karolin for inclusion into 3.6.next
Comment 4 Karolin Seeger 2012-06-13 18:01:33 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!
Comment 5 Christian Perrier 2012-08-08 06:21:25 UTC
According to some Debian users, this bug is indeed not completely fixed in 3.6.6. See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653207

Unfortunately, as this bug was opened with the role account we were using up to May 2012and which has been disabled in Bugzilla, I can't reopen it anymore...
Comment 6 Karolin Seeger 2012-08-13 05:18:18 UTC
Re-assigning to Jeremy.
Comment 7 Alan Bowler 2014-06-24 21:06:33 UTC
This looks a lot like my complaint about using BackupPC tarmode.

 https://bugzilla.samba.org/show_bug.cgi?id=10605

I did attach the fix (workaround?) we are using.